apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: nemo-api-redis-pv-claim
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 1Gi
---
apiVersion: v1
kind: Service
metadata:
  name: nemo-api-redis
  labels:
    app: nemo-api-redis
spec:
  ports:
  - port: 6379
    targetPort: 6379
    protocol: TCP
  selector:
    app: nemo-api-redis
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nemo-api-redis
  labels:
    app: nemo-api-redis
spec:
  selector:
    matchLabels:
      app: nemo-api-redis
  replicas: 1
  template:
    metadata:
      labels:
        app: nemo-api-redis
      annotations:    
        prometheus.io/path: /stats/prometheus
        prometheus.io/port: "15020"
        prometheus.io/scrape: "true"
    spec:
      containers:
        - name: nemo-api-redis
          image: redis
          command: ['redis-server', '--appendonly', 'yes']
          ports:
          - containerPort: 6379
            name: nemo-api-redis
          volumeMounts:
          - name: redis
            mountPath: /data
      volumes:
        - name: redis
          persistentVolumeClaim:
            claimName: nemo-api-redis-pv-claim
